| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
DecodeAsModel Class Reference
Inheritance diagram for DecodeAsModel:

## Classes
struct | UIntEntry

## Public Types
enum | DecodeAsColumn { colTable = 0 , colSelector , colType , colDefault , colProtocol , colDecodeAsMax }

## Public Member Functions
| DecodeAsModel (QObject *parent, capture_file *cf=NULL)
Qt::ItemFlags | flags (const QModelIndex &index) const
QVariant | data (const QModelIndex &index, int role) const
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
int | rowCount (const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent=QModelIndex()) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
void | fillTable ()
void | setDissectorHandle (const QModelIndex &index, dissector_handle_t dissector_handle)
bool | insertRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex())
void | clearAll ()
bool | copyRow (int dst_row, int src_row)
bool | copyFromProfile (QString filename, const char **err)
void | applyChanges ()

## Static Public Member Functions
static QString | entryString (const char *table_name, const void *value)

## Static Protected Member Functions
static void | buildChangedList (const char *table_name, ftenum_t selector_type, void *key, void *value, void *user_data)
static void | buildDceRpcChangedList (void *data, void *user_data)
static void | gatherChangedEntries (const char *table_name, ftenum_t selector_type, void *key, void *value, void *user_data)
static prefs_set_pref_e | readDecodeAsEntry (char *key, const char *value, void *user_data, bool)

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/decode_as_model.h
- /builds/wireshark/wireshark/ui/qt/models/decode_as_model.cpp